Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Enum TimeUnitTypeType

    java.lang.Object
      java.lang.Enum<TimeUnitTypeType>
          org.jboss.shrinkwrap.descriptor.api.ejbjar31.TimeUnitTypeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TimeUnitTypeType>

    public enum TimeUnitTypeType

extends java.lang.Enum<TimeUnitTypeType>

This class implements the `time-unit-typeType` xsd type

Original Documentation:

The time-unit-typeType represents a time duration at a given
unit of granularity.
The time unit type must be one of the following :
Days
Hours
Minutes
Seconds
Milliseconds
Microseconds
Nanoseconds

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_DAYS`
`_HOURS`
`_MICROSECONDS`
`_MILLISECONDS`
`_MINUTES`
`_NANOSECONDS`
`_SECONDS`

Method Summary
`static TimeUnitTypeType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static TimeUnitTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TimeUnitTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _DAYS

    public static final TimeUnitTypeType _DAYS

### _HOURS

    public static final TimeUnitTypeType _HOURS

### _MINUTES

    public static final TimeUnitTypeType _MINUTES

### _SECONDS

    public static final TimeUnitTypeType _SECONDS

### _MILLISECONDS

    public static final TimeUnitTypeType _MILLISECONDS

### _MICROSECONDS

    public static final TimeUnitTypeType _MICROSECONDS

### _NANOSECONDS

    public static final TimeUnitTypeType _NANOSECONDS

Method Detail

### values

    public static TimeUnitTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TimeUnitTypeType c : TimeUnitTypeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TimeUnitTypeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<TimeUnitTypeType>`

### getFromStringValue

    public static TimeUnitTypeType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD